- NAME
- SYNOPSIS
- FUNCTION DESCRIPTIONS

- DisplayImages
- RemoteDisplayCommand
- XDisplayBackgroundImage

# NAME

display - Interactively Display and Edit an Image

# SYNOPSIS

MagickBooleanType DisplayImages( const ImageInfo *image_info, Image *images );

MagickBooleanType RemoteDisplayCommand( const ImageInfo *image_info, const char *window, const char *filename, ExceptionInfo *exception );

MagickBooleanType XDisplayBackgroundImage( Display *display, XResourceInfo *resource_info, Image *image );

# FUNCTION DESCRIPTIONS

## DisplayImages

> DisplayImages() displays an image sequence to any X window screen. It returns a value other than 0 if successful. Check the exception member of image to determine the reason for any failure.

The format of the DisplayImages method is:

> MagickBooleanType DisplayImages ( const ImageInfo *image_info, Image *images );

A description of each parameter follows:

image_info:
  The image info.

image:
  The image.

## RemoteDisplayCommand

> RemoteDisplayCommand() encourages a remote display program to display the specified image filename.

The format of the RemoteDisplayCommand method is:

> MagickBooleanType RemoteDisplayCommand ( const ImageInfo *image_info, const char *window, const char *filename, ExceptionInfo *exception );

A description of each parameter follows:

image_info:
  The image info.

window:
  Specifies the name or id of an X window.

filename:
  The name of the image filename to display.

exception:
  Return any errors or warnings in this structure.

## XDisplayBackgroundImage

> XDisplayBackgroundImage() displays an image in the background of a window.

The format of the XDisplayBackgroundImage method is:

> MagickBooleanType XDisplayBackgroundImage ( Display *display, XResourceInfo *resource_info, Image *image );

A description of each parameter follows:

display:
  Specifies a connection to an X server; returned from XOpenDisplay.

resource_info:
  Specifies a pointer to a X11 XResourceInfo structure.

image:
  The image; returned from ReadImage.

"Image manipulation software that works like magick"